name: HEADER-2.54
description: header, 1 rows, 0.1 in/2.54 mm pitch, through hole, straight, not shrouded
variations: 1x2, 1x3, 1x4, 1x5, 1x6, 1x7, 1x8, 1x10, 1x12, 1x13, 1x15, 1x17, 1x20, 1x25, 1x30, 1x32, 2x2, 2x3, 2x4, 2x5, 2x6, 2x7, 2x8, 2x10, 2x12, 2x13, 2x15, 2x17, 2x20, 2x25, 2x30, 2x32
keywords: Connector, Male
datasheet: https://cdn.amphenol-icc.com/media/wysiwyg/files/drawing/54101.pdf https://cdn.amphenol-icc.com/media/wysiwyg/files/drawing/67996.pdf

pinout@1x2: 1-2

pinout@1x3: 1-3

pinout@1x4: 1-4

pinout@1x5: 1-5

pinout@1x6: 1-6

pinout@1x7: 1-7

pinout@1x8: 1-8

pinout@1x10: 1-10

pinout@1x12: 1-12

pinout@1x13: 1-13

pinout@1x15: 1-15

pinout@1x17: 1-17

pinout@1x20: 1-20

pinout@1x25: 1-25

pinout@1x30: 1-30

pinout@1x32: 1-32

pinout@2x2: 1-4

pinout@2x3: 1-6

pinout@2x4: 1-8

pinout@2x5: 1-10

pinout@2x6: 1-12

pinout@2x7: 1-14

pinout@2x8: 1-16

pinout@2x10: 1-20

pinout@2x12: 1-24

pinout@2x13: 1-26

pinout@2x15: 1-30

pinout@2x17: 1-34

pinout@2x20: 1-40

pinout@2x25: 1-50

pinout@2x30: 1-60

pinout@2x32: 1-64

schematic@1x2:
  suffix: -1x2
  symbol: connector
  left: 1-2

schematic@1x3:
  suffix: -1x3
  symbol: connector
  left: 1-3

schematic@1x4:
  suffix: -1x4
  symbol: connector
  left: 1-4

schematic@1x5:
  suffix: -1x5
  symbol: connector
  left: 1-5

schematic@1x6:
  suffix: -1x6
  symbol: connector
  left: 1-6

schematic@1x7:
  suffix: -1x7
  symbol: connector
  left: 1-7

schematic@1x8:
  suffix: -1x8
  symbol: connector
  left: 1-8

schematic@1x10:
  suffix: -1x10
  symbol: connector
  left: 1-10

schematic@1x12:
  suffix: -1x12
  symbol: connector
  left: 1-12

schematic@1x13:
  suffix: -1x13
  symbol: connector
  left: 1-13

schematic@1x15:
  suffix: -1x15
  symbol: connector
  left: 1-15

schematic@1x17:
  suffix: -1x17
  symbol: connector
  left: 1-17

schematic@1x20:
  suffix: -1x20
  symbol: connector
  left: 1-20

schematic@1x25:
  suffix: -1x25
  symbol: connector
  left: 1-25

schematic@1x30:
  suffix: -1x30
  symbol: connector
  left: 1-30

schematic@1x32:
  suffix: -1x32
  symbol: connector
  left: 1-32

schematic@2x2:
  suffix: -2x2
  symbol: connector
  left: 1, 3
  right: 2, 4

schematic@2x3:
  suffix: -2x3
  symbol: connector
  left: 1, 3, 5
  right: 2, 4, 6

schematic@2x4:
  suffix: -2x4
  symbol: connector
  left: 1, 3, 5, 7
  right: 2, 4, 6, 8

schematic@2x5:
  suffix: -2x5
  symbol: connector
  left: 1, 3, 5, 7, 9
  right: 2, 4, 6, 8, 10

schematic@2x6:
  suffix: -2x6
  symbol: connector
  left: 1, 3, 5, 7, 9, 11
  right: 2, 4, 6, 8, 10, 12

schematic@2x7:
  suffix: -2x7
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13
  right: 2, 4, 6, 8, 10, 12, 14

schematic@2x8:
  suffix: -2x8
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15
  right: 2, 4, 6, 8, 10, 12, 14, 16

schematic@2x10:
  suffix: -2x10
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20

schematic@2x12:
  suffix: -2x12
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24

schematic@2x13:
  suffix: -2x13
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26

schematic@2x15:
  suffix: -2x15
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25, 27, 29
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28, 30

schematic@2x17:
  suffix: -2x17
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25, 27, 29, 31, 33
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28, 30, 32, 34

schematic@2x20:
  suffix: -2x20
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25, 27, 29, 31, 33, 35, 37, 39
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28, 30, 32, 34, 36, 38, 40

schematic@2x25:
  suffix: -2x25
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25, 27, 29, 31, 33, 35, 37, 39, 41, 43, 45, 47, 49
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28, 30, 32, 34, 36, 38, 40, 42, 44, 46, 48, 50

schematic@2x30:
  suffix: -2x30
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25, 27, 29, 31, 33, 35, 37, 39, 41, 43, 45, 47, 49, 51, 53, 55, 57, 59
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28, 30, 32, 34, 36, 38, 40, 42, 44, 46, 48, 50, 52, 54, 56, 58, 60

schematic@2x32:
  suffix: -2x32
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25, 27, 29, 31, 33, 35, 37, 39, 41, 43, 45, 47, 49, 51, 53, 55, 57, 59, 61, 63
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28, 30, 32, 34, 36, 38, 40, 42, 44, 46, 48, 50, 52, 54, 56, 58, 60, 62, 64

housing:
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 2.79
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 1
  bodyWidth: 2.41
# bodyLength: 2.54 * rowCount

housing@1x2:
  suffix: -1x2
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 2.79
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 1
  bodyWidth: 2.41
  rowCount: 2
  bodyLength: 5.08

housing@1x3:
  suffix: -1x3
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 2.79
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 1
  bodyWidth: 2.41
  rowCount: 3
  bodyLength: 7.62

housing@1x4:
  suffix: -1x4
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 2.79
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 1
  bodyWidth: 2.41
  rowCount: 4
  bodyLength: 10.16

housing@1x5:
  suffix: -1x5
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 2.79
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 1
  bodyWidth: 2.41
  rowCount: 5
  bodyLength: 12.7

housing@1x6:
  suffix: -1x6
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 2.79
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 1
  bodyWidth: 2.41
  rowCount: 6
  bodyLength: 15.24

housing@1x7:
  suffix: -1x7
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 2.79
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 1
  bodyWidth: 2.41
  rowCount: 7
  bodyLength: 17.78

housing@1x8:
  suffix: -1x8
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 2.79
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 1
  bodyWidth: 2.41
  rowCount: 8
  bodyLength: 20.32

housing@1x10:
  suffix: -1x10
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 2.79
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 1
  bodyWidth: 2.41
  rowCount: 10
  bodyLength: 25.4

housing@1x12:
  suffix: -1x12
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 2.79
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 1
  bodyWidth: 2.41
  rowCount: 12
  bodyLength: 30.48

housing@1x13:
  suffix: -1x13
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 2.79
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 1
  bodyWidth: 2.41
  rowCount: 13
  bodyLength: 33.02

housing@1x15:
  suffix: -1x15
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 2.79
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 1
  bodyWidth: 2.41
  rowCount: 15
  bodyLength: 38.1

housing@1x17:
  suffix: -1x17
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 2.79
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 1
  bodyWidth: 2.41
  rowCount: 17
  bodyLength: 43.18

housing@1x20:
  suffix: -1x20
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 2.79
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 1
  bodyWidth: 2.41
  rowCount: 20
  bodyLength: 50.8

housing@1x25:
  suffix: -1x25
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 2.79
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 1
  bodyWidth: 2.41
  rowCount: 25
  bodyLength: 63.5

housing@1x30:
  suffix: -1x30
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 2.79
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 1
  bodyWidth: 2.41
  rowCount: 30
  bodyLength: 76.2

housing@1x32:
  suffix: -1x32
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 2.79
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 1
  bodyWidth: 2.41
  rowCount: 32
  bodyLength: 81.28

housing@2x2:
  suffix: -2x3
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 3.2-3.4
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 4.83
  rowCount: 2
  bodyLength: 5.08

housing@2x3:
  suffix: -2x3
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 3.2-3.4
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 4.83
  rowCount: 3
  bodyLength: 7.62

housing@2x4:
  suffix: -2x4
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 3.2-3.4
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 4.83
  rowCount: 4
  bodyLength: 10.16

housing@2x5:
  suffix: -2x5
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 3.2-3.4
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 4.83
  rowCount: 5
  bodyLength: 12.7

housing@2x6:
  suffix: -2x6
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 3.2-3.4
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 4.83
  rowCount: 6
  bodyLength: 15.24

housing@2x7:
  suffix: -2x7
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 3.2-3.4
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 4.83
  rowCount: 7
  bodyLength: 17.78

housing@2x8:
  suffix: -2x8
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 3.2-3.4
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 4.83
  rowCount: 8
  bodyLength: 20.32

housing@2x10:
  suffix: -2x10
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 3.2-3.4
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 4.83
  rowCount: 10
  bodyLength: 25.4

housing@2x12:
  suffix: -2x12
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 3.2-3.4
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 4.83
  rowCount: 12
  bodyLength: 30.48

housing@2x13:
  suffix: -2x13
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 3.2-3.4
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 4.83
  rowCount: 13
  bodyLength: 33.02

housing@2x15:
  suffix: -2x15
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 3.2-3.4
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 4.83
  rowCount: 15
  bodyLength: 38.1

housing@2x17:
  suffix: -2x17
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 3.2-3.4
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 4.83
  rowCount: 17
  bodyLength: 43.18

housing@2x20:
  suffix: -2x20
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 3.2-3.4
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 4.83
  rowCount: 20
  bodyLength: 50.8

housing@2x25:
  suffix: -2x25
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 3.2-3.4
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 4.83
  rowCount: 25
  bodyLength: 63.5

housing@2x30:
  suffix: -2x30
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 3.2-3.4
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 4.83
  rowCount: 30
  bodyLength: 76.2

housing@2x32:
  suffix: -2x32
  pattern: custom
  options: polarized
  height: 8.38
  pitch: 2.54
  leadHeight: 3.2-3.4
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 4.83
  rowCount: 32
  bodyLength: 81.28

